## validns 0.7

=== Makefile ===
# The following options seem to work fine on Linux, FreeBSD, and Darwin
OPTIMIZE=-O2 -g
CFLAGS=-Wall -Werror -pthread --no-strict-aliasing
INCPATH=-I/usr/local/include -I/opt/local/include -I/usr/local/ssl/include
CC?=cc

# These additional options work on Solaris/gcc to which I have an access
# (when combined with the options above, and CC=gcc).
#EXTRALPATH=-L/usr/local/ssl/lib -Wl,-R,/usr/local/ssl/lib
#EXTRALIBS=-lnsl -lrt

# According to Daniel Stirnimann, the following is needed
# to make it work on Solaris/cc.
#CFLAGS=-fast -xtarget=ultra3 -m64 -xarch=sparcvis2
#INCPATH=-I/opt/sws/include
#CC=cc
#EXTRALPATH=-L/opt/sws/lib/64 -R/opt/sws/lib/64
#EXTRALIBS-lrt -lnsl
#EXTRALINKING=-mt -lpthread

validns: main.o carp.o mempool.o textparse.o base64.o base32hex.o \
	rr.o soa.o a.o cname.o mx.o ns.o \
	rrsig.o nsec.o dnskey.o txt.o aaaa.o \
	naptr.o srv.o nsec3param.o nsec3.o ds.o \
	hinfo.o loc.o nsec3checks.o ptr.o \
	sshfp.o threads.o rp.o spf.o cert.o \
	dname.o tlsa.o nid.o l32.o l64.o lp.o \
	ipseckey.o cbtree.o mb.o mg.o mr.o minfo.o \
	afsdb.o x25.o isdn.o rt.o px.o kx.o \
	dlv.o dhcid.o nsap.o
	$(CC) $(CFLAGS) $(OPTIMIZE) -o validns \
	    main.o carp.o mempool.o textparse.o base64.o base32hex.o \
	    rr.o soa.o a.o cname.o mx.o ns.o \
	    rrsig.o nsec.o dnskey.o txt.o aaaa.o \
	    naptr.o srv.o nsec3param.o nsec3.o ds.o \
	    hinfo.o loc.o nsec3checks.o ptr.o \
	    sshfp.o threads.o rp.o spf.o cert.o \
	    dname.o tlsa.o nid.o l32.o l64.o lp.o \
	    ipseckey.o cbtree.o mb.o mg.o mr.o minfo.o \
	    afsdb.o x25.o isdn.o rt.o px.o kx.o \
	    dlv.o dhcid.o nsap.o \
	    -L/usr/local/lib -L/opt/local/lib $(EXTRALPATH) \
	    -lJudy -lcrypto $(EXTRALIBS) $(EXTRALINKING)

clean:
	-rm -f validns main.o carp.o mempool.o textparse.o
	-rm -f rr.o soa.o a.o cname.o mx.o ns.o
	-rm -f rrsig.o nsec.o dnskey.o txt.o aaaa.o
	-rm -f naptr.o srv.o nsec3param.o nsec3.o ds.o
	-rm -f hinfo.o loc.o nsec3checks.o ptr.o
	-rm -f sshfp.o base32hex.o base64.o threads.o
	-rm -f rp.o spf.o cert.o dname.o tlsa.o
	-rm -f nid.o l32.o l64.o lp.o ipseckey.o
	-rm -f cbtree.o mb.o mg.o mr.o minfo.o
	-rm -f afsdb.o x25.o isdn.o rt.o px.o kx.o
	-rm -f dlv.o dhcid.o nsap.o
	-rm -f validns.core core
	@echo ':-)'

main.o: main.c common.h carp.h mempool.h textparse.h rr.h
	$(CC) $(CFLAGS) $(OPTIMIZE) -c -o main.o main.c $(INCPATH)

carp.o: carp.c carp.h common.h
	$(CC) $(CFLAGS) $(OPTIMIZE) -c -o carp.o carp.c $(INCPATH)

mempool.o: mempool.c mempool.h carp.h
	$(CC) $(CFLAGS) $(OPTIMIZE) -c -o mempool.o mempool.c $(INCPATH)

textparse.o: textparse.c common.h carp.h mempool.h textparse.h base64.h
	$(CC) $(CFLAGS) $(OPTIMIZE) -c -o textparse.o textparse.c $(INCPATH)

base64.o: base64.c base64.h
	$(CC) $(CFLAGS) $(OPTIMIZE) -c -o base64.o base64.c $(INCPATH)

base32hex.o: base32hex.c base32hex.h
	$(CC) $(CFLAGS) $(OPTIMIZE) -c -o base32hex.o base32hex.c $(INCPATH)

rr.o: rr.c common.h mempool.h carp.h textparse.h rr.h
	$(CC) $(CFLAGS) $(OPTIMIZE) -c -o rr.o rr.c $(INCPATH)

soa.o: soa.c common.h textparse.h mempool.h carp.h rr.h
	$(CC) $(CFLAGS) $(OPTIMIZE) -c -o soa.o soa.c $(INCPATH)

a.o: a.c common.h textparse.h mempool.h carp.h rr.h
	$(CC) $(CFLAGS) $(OPTIMIZE) -c -o a.o a.c $(INCPATH)

cname.o: cname.c common.h textparse.h mempool.h carp.h rr.h
	$(CC) $(CFLAGS) $(OPTIMIZE) -c -o cname.o cname.c $(INCPATH)

mb.o: mb.c common.h textparse.h mempool.h carp.h rr.h
	$(CC) $(CFLAGS) $(OPTIMIZE) -c -o mb.o mb.c $(INCPATH)

mg.o: mg.c common.h textparse.h mempool.h carp.h rr.h
	$(CC) $(CFLAGS) $(OPTIMIZE) -c -o mg.o mg.c $(INCPATH)

minfo.o: minfo.c common.h textparse.h mempool.h carp.h rr.h
	$(CC) $(CFLAGS) $(OPTIMIZE) -c -o minfo.o minfo.c $(INCPATH)

mr.o: mr.c common.h textparse.h mempool.h carp.h rr.h
	$(CC) $(CFLAGS) $(OPTIMIZE) -c -o mr.o mr.c $(INCPATH)

mx.o: mx.c common.h textparse.h mempool.h carp.h rr.h
	$(CC) $(CFLAGS) $(OPTIMIZE) -c -o mx.o mx.c $(INCPATH)

afsdb.o: afsdb.c common.h textparse.h mempool.h carp.h rr.h
	$(CC) $(CFLAGS) $(OPTIMIZE) -c -o afsdb.o afsdb.c $(INCPATH)

x25.o: x25.c common.h textparse.h mempool.h carp.h rr.h
	$(CC) $(CFLAGS) $(OPTIMIZE) -c -o x25.o x25.c $(INCPATH)

isdn.o: isdn.c common.h textparse.h mempool.h carp.h rr.h
	$(CC) $(CFLAGS) $(OPTIMIZE) -c -o isdn.o isdn.c $(INCPATH)

rt.o: rt.c common.h textparse.h mempool.h carp.h rr.h
	$(CC) $(CFLAGS) $(OPTIMIZE) -c -o rt.o rt.c $(INCPATH)

px.o: px.c common.h textparse.h mempool.h carp.h rr.h
	$(CC) $(CFLAGS) $(OPTIMIZE) -c -o px.o px.c $(INCPATH)

kx.o: kx.c common.h textparse.h mempool.h carp.h rr.h
	$(CC) $(CFLAGS) $(OPTIMIZE) -c -o kx.o kx.c $(INCPATH)

dlv.o: dlv.c common.h textparse.h mempool.h carp.h rr.h
	$(CC) $(CFLAGS) $(OPTIMIZE) -c -o dlv.o dlv.c $(INCPATH)

dhcid.o: dhcid.c common.h textparse.h mempool.h carp.h rr.h
	$(CC) $(CFLAGS) $(OPTIMIZE) -c -o dhcid.o dhcid.c $(INCPATH)

nsap.o: nsap.c common.h textparse.h mempool.h carp.h rr.h
	$(CC) $(CFLAGS) $(OPTIMIZE) -c -o nsap.o nsap.c $(INCPATH)

ns.o: ns.c common.h textparse.h mempool.h carp.h rr.h
	$(CC) $(CFLAGS) $(OPTIMIZE) -c -o ns.o ns.c $(INCPATH)

rrsig.o: rrsig.c common.h textparse.h mempool.h carp.h rr.h
	$(CC) $(CFLAGS) $(OPTIMIZE) -c -o rrsig.o rrsig.c $(INCPATH)

nsec.o: nsec.c common.h textparse.h mempool.h carp.h rr.h
	$(CC) $(CFLAGS) $(OPTIMIZE) -c -o nsec.o nsec.c $(INCPATH)

dnskey.o: dnskey.c common.h textparse.h mempool.h carp.h rr.h
	$(CC) $(CFLAGS) $(OPTIMIZE) -c -o dnskey.o dnskey.c $(INCPATH)

txt.o: txt.c common.h textparse.h mempool.h carp.h rr.h
	$(CC) $(CFLAGS) $(OPTIMIZE) -c -o txt.o txt.c $(INCPATH)

aaaa.o: aaaa.c common.h textparse.h mempool.h carp.h rr.h
	$(CC) $(CFLAGS) $(OPTIMIZE) -c -o aaaa.o aaaa.c $(INCPATH)

naptr.o: naptr.c common.h textparse.h mempool.h carp.h rr.h
	$(CC) $(CFLAGS) $(OPTIMIZE) -c -o naptr.o naptr.c $(INCPATH)

srv.o: srv.c common.h textparse.h mempool.h carp.h rr.h
	$(CC) $(CFLAGS) $(OPTIMIZE) -c -o srv.o srv.c $(INCPATH)

nsec3param.o: nsec3param.c common.h textparse.h mempool.h carp.h rr.h
	$(CC) $(CFLAGS) $(OPTIMIZE) -c -o nsec3param.o nsec3param.c $(INCPATH)

nsec3.o: nsec3.c common.h textparse.h mempool.h carp.h rr.h
	$(CC) $(CFLAGS) $(OPTIMIZE) -c -o nsec3.o nsec3.c $(INCPATH)

ds.o: ds.c common.h textparse.h mempool.h carp.h rr.h
	$(CC) $(CFLAGS) $(OPTIMIZE) -c -o ds.o ds.c $(INCPATH)

hinfo.o: hinfo.c common.h textparse.h mempool.h carp.h rr.h
	$(CC) $(CFLAGS) $(OPTIMIZE) -c -o hinfo.o hinfo.c $(INCPATH)

loc.o: loc.c common.h textparse.h mempool.h carp.h rr.h
	$(CC) $(CFLAGS) $(OPTIMIZE) -c -o loc.o loc.c $(INCPATH)

nsec3checks.o: nsec3checks.c common.h textparse.h mempool.h carp.h rr.h
	$(CC) $(CFLAGS) $(OPTIMIZE) -c -o nsec3checks.o nsec3checks.c $(INCPATH)

ptr.o: ptr.c common.h textparse.h mempool.h carp.h rr.h
	$(CC) $(CFLAGS) $(OPTIMIZE) -c -o ptr.o ptr.c $(INCPATH)

sshfp.o: sshfp.c common.h textparse.h mempool.h carp.h rr.h
	$(CC) $(CFLAGS) $(OPTIMIZE) -c -o sshfp.o sshfp.c $(INCPATH)

rp.o: rp.c common.h textparse.h mempool.h carp.h rr.h
	$(CC) $(CFLAGS) $(OPTIMIZE) -c -o rp.o rp.c $(INCPATH)

spf.o: spf.c common.h textparse.h mempool.h carp.h rr.h
	$(CC) $(CFLAGS) $(OPTIMIZE) -c -o spf.o spf.c $(INCPATH)

cert.o: cert.c common.h textparse.h mempool.h carp.h rr.h
	$(CC) $(CFLAGS) $(OPTIMIZE) -c -o cert.o cert.c $(INCPATH)

dname.o: dname.c common.h textparse.h mempool.h carp.h rr.h
	$(CC) $(CFLAGS) $(OPTIMIZE) -c -o dname.o dname.c $(INCPATH)

tlsa.o: tlsa.c common.h textparse.h mempool.h carp.h rr.h
	$(CC) $(CFLAGS) $(OPTIMIZE) -c -o tlsa.o tlsa.c $(INCPATH)

nid.o: nid.c common.h textparse.h mempool.h carp.h rr.h
	$(CC) $(CFLAGS) $(OPTIMIZE) -c -o nid.o nid.c $(INCPATH)

l32.o: l32.c common.h textparse.h mempool.h carp.h rr.h
	$(CC) $(CFLAGS) $(OPTIMIZE) -c -o l32.o l32.c $(INCPATH)

l64.o: l64.c common.h textparse.h mempool.h carp.h rr.h
	$(CC) $(CFLAGS) $(OPTIMIZE) -c -o l64.o l64.c $(INCPATH)

lp.o: lp.c common.h textparse.h mempool.h carp.h rr.h
	$(CC) $(CFLAGS) $(OPTIMIZE) -c -o lp.o lp.c $(INCPATH)

ipseckey.o: ipseckey.c common.h textparse.h mempool.h carp.h rr.h
	$(CC) $(CFLAGS) $(OPTIMIZE) -c -o ipseckey.o ipseckey.c $(INCPATH)

cbtree.o: cbtree.c cbtree.h
	$(CC) $(CFLAGS) $(OPTIMIZE) -c -o cbtree.o cbtree.c $(INCPATH)

threads.o: threads.c
	$(CC) $(CFLAGS) $(OPTIMIZE) -c -o threads.o threads.c $(INCPATH)

test: validns
	perl -MTest::Harness -e 'runtests("t/test.pl")'

test-details: validns
	perl t/test.pl

test64:
	$(CC) -Wall -O2 -o base64-test base64.c -DTEST_PROGRAM
	./base64-test

test32hex:
	$(CC) -Wall -O2 -o base32hex-test base32hex.c -DTEST_PROGRAM
	./base32hex-test

=== debian/changelog ===
validns (0.7-1) unstable; urgency=low

  [ Casper Gielen ]
  * New upstream.
  * Use watch file.
  * Add Hardening to Makefile so it is actually used.
  * Remove lintian-override for new-package-should-close-itp-bug.

  [ Joost van Baal-Ilić ]
  * First upload to Debian (Closes: #702507) 

 -- Casper Gielen <casper-alioth@gielen.name>  Tue, 16 Apr 2013 13:55:58 +0200

validns (0.6r250-2) unstable; urgency=low

  * Include hardening.
  * BuildDepend on dpkg-dev. 
  * Switch to debhelper v9 compatibility.
  * Fix maintainer.

 -- Casper Gielen <casper-alioth@gielen.name>  Tue, 16 Apr 2013 13:35:21 +0200

validns (0.6r250-1) unstable; urgency=low

  * New upstream 
  * Fix uploader in changelog

 -- Casper Gielen <casper-alioth@gielen.name>  Tue, 16 Apr 2013 10:26:58 +0200

validns (0.6r239-2) unstable; urgency=low

  * Converted to git-buildpackage

 -- Casper Gielen <casper-alioth@gielen.name>  Fri, 12 Apr 2013 15:12:12 +0200

validns (0.6r239-1) unstable; urgency=low

  [ Casper Gielen ]
  * New upstream 

  [ Joost van Baal-Ilić ]
  * debian/control: add myself to Uploaders

 -- Casper Gielen <casper-alioth@gielen.name>  Fri, 08 Mar 2013 13:13:25 +0100

validns (0.6r236-2) unstable; urgency=low

  * Unit tests weer aangezet 

 -- Casper Gielen <casper-alioth@gielen.name>  Tue, 08 Jan 2013 13:03:55 +0100

validns (0.6r236-1) unstable; urgency=low

  * Checks weer aanzetten.

 -- Casper Gielen <casper-alioth@gielen.name>  Tue, 08 Jan 2013 13:03:16 +0100

validns (0.6-2) unstable; urgency=low

  * Actually do include binary
  * Fixed dependencies
  * debian/lintian-overrides: added. possible-gpl-code-linked-with-openssl:
    upstream code is released under modified BSD license.

 -- Casper Gielen <casper-alioth@gielen.name>  Tue, 08 Jan 2013 12:54:16 +0100

validns (0.6-1) unstable; urgency=low

  * Initial release.

 -- Casper Gielen <casper-alioth@gielen.name>  Mon, 04 Jan 2013 17:57:57 +0200

=== debian/control ===
Source: validns
Section: net
Priority: extra
Maintainer: Casper Gielen <casper-alioth@gielen.name>
Uploaders: Joost van Baal-Ilić <joostvb@debian.org>
Build-Depends: debhelper (>= 9), libssl-dev, libjudy-dev, libtest-command-simple-perl, dpkg-dev (>= 1.16.1~)
Standards-Version: 3.9.4
Homepage: http://www.validns.net/
Vcs-Git: https://github.com/tobez/validns.git
Vcs-Browser: https://github.com/tobez/validns

Package: validns
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description:  high performance DNS/DNSSEC zone validator
 Validns is a standalone command line RFC 1034/1035 zone file validation tool
 that, in addition to basic syntactic and semantic zone checks, includes DNSSEC
 signature verification and NSEC/NSEC3 chain validation, as well a number of
 optional policy checks on the zone.
 .
 The utility was developed with the goal of it being the last verification step
 in the chain of production and publication of one or more zones containing up
 to many thousands (or millions) of signed records, making the speed of
 operation a primary focus, and reflect on validns’ design.
 .
 The utility is currently being used by several major DNS operators.
 .
 Currently, validns offers the following features:
  - parse RFC 1035-compliant zone files (so called “BIND” file format)
  - supports most of the standard record types
  - informs the user precisely where and what the errors are
  - verifies RRSIG signatures
  - NSEC/NSEC3 chain validation
  - supports signature validation in the future or in the past
  - built-in policy checks

## validns 0.8

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # The following options seem to work fine on Linux, FreeBSD, and Darwin
 OPTIMIZE=-O2 -g
-CFLAGS=-Wall -Werror -pthread --no-strict-aliasing
+CFLAGS=-Wall -Werror -pthread -fno-strict-aliasing
 INCPATH=-I/usr/local/include -I/opt/local/include -I/usr/local/ssl/include
 CC?=cc

=== debian/changelog ===
validns (0.8-2) unstable; urgency=low

  * debian/control Point Vcs-Git & Vcs-Browser to the repo with the packaging.
  * debian/patches/fix-dont-overwrite-cflagspatch Improve description.
  * debian/docs/changes Remove upstream changelog to avoid duplicate inclusion.

 -- Casper Gielen <casper-alioth@gielen.name>  Fri, 08 Aug 2014 16:09:46 +0200

validns (0.8-1) unstable; urgency=low

  * New upstream. 
  * Support ECDSA and SHA-256 in SSHFP. 
  * Unapply debian patches that were incorporated by mistake.
  * debian/control Standards version 3.9.5 (no changes)

 -- Casper Gielen <casper-alioth@gielen.name>  Fri, 04 Apr 2014 16:09:46 +0200

validns (0.7-2) unstable; urgency=low

  * debian/control Remove leading space from description.
  * debian/copyright Change Format URL.
  * Remove base32hex-test binary from source and fix Makefile clean target.

 -- Casper Gielen <casper-alioth@gielen.name>  Sat, 29 Jun 2013 22:57:24 +0200

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,15 @@
 Maintainer: Casper Gielen <casper-alioth@gielen.name>
 Uploaders: Joost van Baal-Ilić <joostvb@debian.org>
 Build-Depends: debhelper (>= 9), libssl-dev, libjudy-dev, libtest-command-simple-perl, dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.validns.net/
-Vcs-Git: https://github.com/tobez/validns.git
-Vcs-Browser: https://github.com/tobez/validns
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/validns.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/validns.git
 
 Package: validns
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description:  high performance DNS/DNSSEC zone validator
+Description: high performance DNS/DNSSEC zone validator
  Validns is a standalone command line RFC 1034/1035 zone file validation tool
  that, in addition to basic syntactic and semantic zone checks, includes DNSSEC
  signature verification and NSEC/NSEC3 chain validation, as well a number of

## validns 0.8+git20160720

=== debian/changelog ===
validns (0.8+git20160720-3) unstable; urgency=medium

  * debian/copyright Add License: statement.
  * debian/control Upgrade to Standards-Version 3.9.8 (no changes).

 -- Casper Gielen <casper-alioth@gielen.name>  Wed, 14 Dec 2016 16:01:55 +0100

validns (0.8+git20160720-2) unstable; urgency=medium

  * Depend on OpenSSL 1.0 (Closes: #828591)

 -- Casper Gielen <casper-alioth@gielen.name>  Thu, 01 Dec 2016 14:51:30 +0100

validns (0.8+git20160720-1) stable; urgency=medium

  * New upstream with support for INCLUDE.

 -- Casper Gielen <casper-alioth@gielen.name>  Wed, 20 Jul 2016 11:27:36 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: extra
 Maintainer: Casper Gielen <casper-alioth@gielen.name>
 Uploaders: Joost van Baal-Ilić <joostvb@debian.org>
-Build-Depends: debhelper (>= 9), libssl-dev, libjudy-dev, libtest-command-simple-perl, dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 9), libssl1.0-dev, libjudy-dev, libtest-command-simple-perl, dpkg-dev (>= 1.16.1~)
+Standards-Version: 3.9.8
 Homepage: http://www.validns.net/
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/validns.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/validns.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1

%:
	dh $@

## validns 0.8+git20170801

=== debian/changelog ===
validns (0.8+git20170801-2) unstable; urgency=medium

  * Switch to openssl1.1, patch by Sebastian Andrzej Siewior (Closes: 859784).

 -- Casper Gielen <casper-alioth@gielen.name>  Wed, 02 Aug 2017 17:46:03 +0200

validns (0.8+git20170801-1) unstable; urgency=medium

  * New upstream with support for AAC, CDS, CDNSKEY, SMIMEA resource records.
  * debian/control Allow both ssl1.0 and ssl1.1 for backwards compatibiltiy.
  * debian/control Upgrade to Standards-Version 4.0.0 (no changes).

 -- Casper Gielen <casper-alioth@gielen.name>  Tue, 01 Aug 2017 16:52:23 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: extra
 Maintainer: Casper Gielen <casper-alioth@gielen.name>
 Uploaders: Joost van Baal-Ilić <joostvb@debian.org>
-Build-Depends: debhelper (>= 9), libssl1.0-dev, libjudy-dev, libtest-command-simple-perl, dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 9), libssl-dev, libjudy-dev, libtest-command-simple-perl, dpkg-dev (>= 1.16.1~)
+Standards-Version: 4.0.0
 Homepage: http://www.validns.net/
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/validns.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/validns.git

## validns 0.8+git20170804

=== Makefile ===
--- 
+++ 
@@ -27,7 +27,7 @@
 	dname.o tlsa.o nid.o l32.o l64.o lp.o \
 	ipseckey.o cbtree.o mb.o mg.o mr.o minfo.o \
 	afsdb.o x25.o isdn.o rt.o px.o kx.o \
-	dlv.o dhcid.o nsap.o
+	dlv.o dhcid.o nsap.o caa.o
 	$(CC) $(CFLAGS) $(OPTIMIZE) -o validns \
 	    main.o carp.o mempool.o textparse.o base64.o base32hex.o \
 	    rr.o soa.o a.o cname.o mx.o ns.o \
@@ -38,7 +38,7 @@
 	    dname.o tlsa.o nid.o l32.o l64.o lp.o \
 	    ipseckey.o cbtree.o mb.o mg.o mr.o minfo.o \
 	    afsdb.o x25.o isdn.o rt.o px.o kx.o \
-	    dlv.o dhcid.o nsap.o \
+	    dlv.o dhcid.o nsap.o caa.o \
 	    -L/usr/local/lib -L/opt/local/lib $(EXTRALPATH) \
 	    -lJudy -lcrypto $(EXTRALIBS) $(EXTRALINKING)
 
@@ -53,7 +53,7 @@
 	-rm -f nid.o l32.o l64.o lp.o ipseckey.o
 	-rm -f cbtree.o mb.o mg.o mr.o minfo.o
 	-rm -f afsdb.o x25.o isdn.o rt.o px.o kx.o
-	-rm -f dlv.o dhcid.o nsap.o
+	-rm -f dlv.o dhcid.o nsap.o caa.o
 	-rm -f validns.core core
 	@echo ':-)'
 
@@ -176,6 +176,9 @@
 
 sshfp.o: sshfp.c common.h textparse.h mempool.h carp.h rr.h
 	$(CC) $(CFLAGS) $(OPTIMIZE) -c -o sshfp.o sshfp.c $(INCPATH)
+
+caa.o: caa.c common.h textparse.h mempool.h carp.h rr.h
+	$(CC) $(CFLAGS) $(OPTIMIZE) -c -o caa.o caa.c $(INCPATH)
 
 rp.o: rp.c common.h textparse.h mempool.h carp.h rr.h
 	$(CC) $(CFLAGS) $(OPTIMIZE) -c -o rp.o rp.c $(INCPATH)

=== debian/changelog ===
validns (0.8+git20170804-0ubuntu5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:29:32 +1100

validns (0.8+git20170804-0ubuntu4) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 05 Mar 2024 02:09:45 +0000

validns (0.8+git20170804-0ubuntu3) jammy; urgency=medium

  * Update test for changed error output on failed rsa signature check
    (LP: #1959855)

 -- Dan Bungert <daniel.bungert@canonical.com>  Wed, 02 Feb 2022 16:34:33 -0700

validns (0.8+git20170804-0ubuntu2) jammy; urgency=medium

  * No-change rebuild against openssl3

 -- Simon Chopin <simon.chopin@canonical.com>  Mon, 29 Nov 2021 15:57:39 +0100

validns (0.8+git20170804-0ubuntu1) disco; urgency=medium

  * New upstream release
  * Cherrypick upstream pull request for openssl 1.1.x compat.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 05 Feb 2019 23:42:06 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: validns
 Section: net
 Priority: extra
-Maintainer: Casper Gielen <casper-alioth@gielen.name>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Casper Gielen <casper-alioth@gielen.name>
 Uploaders: Joost van Baal-Ilić <joostvb@debian.org>
 Build-Depends: debhelper (>= 9), libssl-dev, libjudy-dev, libtest-command-simple-perl, dpkg-dev (>= 1.16.1~)
-Standards-Version: 4.0.0
+Standards-Version: 3.9.8
 Homepage: http://www.validns.net/
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/validns.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/validns.git

## validns 0.8+git20230810.a7e6b4f

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,11 @@
 # The following options seem to work fine on Linux, FreeBSD, and Darwin
 OPTIMIZE=-O2 -g
-CFLAGS=-Wall -Werror -pthread -fno-strict-aliasing
-INCPATH=-I/usr/local/include -I/opt/local/include -I/usr/local/ssl/include
+CFLAGS=-Wall -Wno-deprecated-declarations -Werror -pthread -fno-strict-aliasing
+INCPATH=-I/usr/local/include -I/opt/homebrew/include -I/usr/local/ssl/include -I/opt/homebrew/opt/openssl@3/include
 CC?=cc
+
+# M1/M2 MacOS
+EXTRALPATH=-L/opt/homebrew/opt/openssl@3/lib -L/opt/homebrew/lib
 
 # These additional options work on Solaris/gcc to which I have an access
 # (when combined with the options above, and CC=gcc).
@@ -39,7 +42,7 @@
 	    ipseckey.o cbtree.o mb.o mg.o mr.o minfo.o \
 	    afsdb.o x25.o isdn.o rt.o px.o kx.o \
 	    dlv.o dhcid.o nsap.o caa.o \
-	    -L/usr/local/lib -L/opt/local/lib $(EXTRALPATH) \
+	    -L/usr/local/lib $(EXTRALPATH) \
 	    -lJudy -lcrypto $(EXTRALIBS) $(EXTRALINKING)
 
 clean:

=== debian/changelog ===
validns (0.8+git20230810.a7e6b4f-2) unstable; urgency=medium

  * Orphaning this package per request of Casper in Feb 2025, on Meuknet IRC:
    уто 04 16:28 <casper_> laat maar vallen.
    - d/control: changing Maintainer: Casper Gielen <casper-alioth@gielen.name>,
      Uploaders: Joost van Baal-Ilić <joostvb@debian.org> to Maintainer: Debian
      QA Group <packages@qa.debian.org>.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Fri, 07 Feb 2025 17:09:14 +0100

validns (0.8+git20230810.a7e6b4f-1) unstable; urgency=medium

  * Team upload

  [ Jelmer Vernooĳ ]
  * Migrate repository from alioth to salsa.
    Closes: #935011

  [ Andreas Tille ]
  * Latest upstream commit
    Closes: #935012, #935013
  * Point watch file to Github
  * d/rules: Its no example
  * Homepage is now Github
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Fix day-of-week for changelog entry 0.6-1.

 -- Andreas Tille <tille@debian.org>  Thu, 26 Dec 2024 15:25:07 +0100

validns (0.8+git20160720-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Get it compiled against OpenSSL 3.0+ (Closes: #1006583).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Thu, 23 Jun 2022 18:48:15 +0200

validns (0.8+git20160720-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Avoid a warning regarding string truncation (Closes: #897882).
  * Get it compiled against OpenSSL 1.1+ (Closes: #859784).
  * Use priority optional instead of extra.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Fri, 22 Feb 2019 23:52:58 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: validns
 Section: net
-Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Casper Gielen <casper-alioth@gielen.name>
-Uploaders: Joost van Baal-Ilić <joostvb@debian.org>
-Build-Depends: debhelper (>= 9), libssl-dev, libjudy-dev, libtest-command-simple-perl, dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.8
-Homepage: http://www.validns.net/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/validns.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/validns.git
+Priority: optional
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: debhelper-compat (= 13),
+               libssl-dev,
+               libjudy-dev,
+               libtest-command-simple-perl
+Standards-Version: 4.7.0
+Vcs-Git: https://salsa.debian.org/debian/validns.git
+Vcs-Browser: https://salsa.debian.org/debian/validns
+Homepage: https://github.com//tobez/validns
+Rules-Requires-Root: no
 
 Package: validns
 Architecture: any
@@ -34,5 +36,3 @@
   - NSEC/NSEC3 chain validation
   - supports signature validation in the future or in the past
   - built-in policy checks
-
-

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1

%:
	dh $@

=== debian/watch ===
version=4

opts="mode=git,pretty=0.8+git%cd.%h" \
    https://github.com//tobez/validns.git HEAD

## validns 0.8.0+20251121

=== debian/changelog ===
validns (0.8.0+20251121-1) sid; urgency=medium

  * Merging upstream version 0.8.0+20251121.
  * Removing unused gbp.conf.
  * Removing fix-makefile-clean.patch, not required anymore with upstream
    move to using autotools.
  * Removing fix-dont-overwrite-cflags.patch, not required anymore with
    upstream move to using autotools.
  * Removing ignoreQuilt.patch, not needed anymore.
  * Removing dnskey-Avoid-using-RSA_new-on-OpenSSL-3.0.patch, was never
    actually applied.
  * Updating and harmonizing licenses in copyright.
  * Updating debhelper docs file for new upstream version.
  * Updating to standards version 4.7.2.
  * Udpating homepage field.
  * Updating vcs fields.
  * Removing rules-requires-root, not needed anymore.
  * Adding binary package section field.
  * Slightly updating package description.
  * Updating upstream urls in copyright.
  * Removing validns.install, not required anymore with upstream move to
    using autotools.
  * Removing validns.manpages, not required anymore with upstream move to
    using autotools.
  * Removing validns.docs, not required anymore with upstream move to
    using autotools.
  * Updating watch file.
  * Adding upstream metadata.
  * Tidying rules file.
  * Removing lintian overrides, not needed anymore.
  * Adding newly required pkgconfig to build-depends.
  * Removing unneeded license file in /usr/share/doc.
  * Wrap and sorting debian files.
  * Marking libtest-command-simple-perl build-depends as only required
    when running checks.
  * Adding patch to add missing mandatory troff header line in manpage,
    thanks to Teemu Hukkanen <tjhukkan@iki.fi> (Closes: #1098994).

 -- Daniel Baumann <daniel@debian.org>  Sat, 29 Nov 2025 05:08:13 +0100

validns (0.8+git20230810.a7e6b4f-3) sid; urgency=medium

  * New maintainer (Closes: #1095417).

 -- Daniel Baumann <daniel@debian.org>  Sat, 29 Nov 2025 04:24:32 +0100

=== debian/control ===
Source: validns
Section: net
Priority: optional
Maintainer: Daniel Baumann <daniel@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libjudy-dev,
 libssl-dev,
 libtest-command-simple-perl <!nocheck>,
 pkgconf,
Standards-Version: 4.7.2
Homepage: https://codeberg.org/DNS-OARC/validns
Vcs-Browser: https://forgejo.debian.net/dns-oarc/validns
Vcs-Git: https://forgejo.debian.net/dns-oarc/validns

Package: validns
Section: net
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: DNS and DNSSEC zone file validator
 validns is a standalone command line RFC 1034/1035 zone file validation tool
 that, in addition to basic syntactic and semantic zone checks, includes DNSSEC
 signature verification and NSEC/NSEC3 chain validation, as well a number of
 optional policy checks on the zone.
 .
 The utility was developed with the goal of it being the last verification step
 in the chain of production and publication of one or more zones containing up
 to many thousands (or millions) of signed records, making the speed of
 operation a primary focus, and reflect on validns’ design.
 .
 The utility is currently being used by several major DNS operators.
 .
 Currently, validns offers the following features:
 .
  * parse RFC 1035-compliant zone files (so called "BIND" file format)
  * supports most of the standard record types
  * informs the user precisely where and what the errors are
  * verifies RRSIG signatures
  * NSEC/NSEC3 chain validation
  * supports signature validation in the future or in the past
  * built-in policy checks

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh ${@}

execute_after_dh_auto_install:
	# removing unused files
	rm -f debian/validns/usr/share/doc/validns/LICENSE

=== debian/watch ===
version=4
https://codeberg.org/DNS-OARC/validns/tags .*/v?(\d.*)@ARCHIVE_EXT@

## validns 8.0%2B20260107

=== debian/changelog ===
validns (8.0+20260107-1) sid; urgency=medium

  * Updating to standards version 4.7.3.
  * Merging upstream version 8.0+20260107.
  * Updating years in copyright for 2026.
  * Removing manpage-troff-header.patch, fixed upstream.

 -- Daniel Baumann <daniel@debian.org>  Tue, 20 Jan 2026 13:21:59 +0100

## validns 8.0+really0.9.0

=== debian/changelog ===
validns (8.0+really0.9.0-1) sid; urgency=medium

  * Updating watch file to version 5.
  * Merging upstream version 8.0+really0.9.0.

 -- Daniel Baumann <daniel@debian.org>  Thu, 12 Feb 2026 19:06:34 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  libssl-dev,
  libtest-command-simple-perl <!nocheck>,
  pkgconf,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://codeberg.org/DNS-OARC/validns
 Vcs-Browser: https://forgejo.debian.net/dns-oarc/validns
 Vcs-Git: https://forgejo.debian.net/dns-oarc/validns

=== debian/watch ===
Version: 5

Source: https://codeberg.org/api/v1/repos/DNS-OARC/validns/tags
Matching-Pattern: https://codeberg.org/DNS-OARC/validns/archive/[^"-_v]*@ANY_VERSION@@ARCHIVE_EXT@
Search-Mode: plain
Filename-Mangle: s%.*/[^"-_v]*@ANY_VERSION@%@PACKAGE@-$1%
Dversion-Mangle: s/^8.0\+really//
